Loading...
Searching...
No Matches
Opm::TracerConfig::TracerEntry Struct Reference

## Public Member Functions

std::string | fname () const
std::string | sname () const
std::string | wellfname () const
std::string | wellsname () const
| TracerEntry (const std::string &name_, const std::string &unit_string_, Phase phase_, std::vector< double > free_concentration_)
| TracerEntry (const std::string &name_, const std::string &unit_string_, Phase phase_, std::vector< double > free_concentration_, std::vector< double > solution_concentration_)
| TracerEntry (const std::string &name_, const std::string &unit_string_, Phase phase_, TracerVdTable free_tvdp_)
| TracerEntry (const std::string &name_, const std::string &unit_string_, Phase phase_, TracerVdTable free_tvdp_, TracerVdTable solution_tvdp_)
| TracerEntry (const std::string &name_, const std::string &unit_string_, Phase phase_)
bool | operator== (const TracerEntry &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Public Attributes

std::string | name
std::string | unit_string
Phase | phase = Phase::OIL
std::optional< std::vector< double > > | free_concentration
std::optional< std::vector< double > > | solution_concentration
std::optional< TracerVdTable > | free_tvdp
std::optional< TracerVdTable > | solution_tvdp

The documentation for this struct was generated from the following file:

- opm/input/eclipse/EclipseState/TracerConfig.hpp